"use strict";
this.name = "coyoteConditions";
this.author = "phkb";
this.copyright = "2018 phkb";
this.description = "Condition script for determining whether the tractor beam can be purchased";
this.licence = "CC BY-NC-SA 4.0";

//-------------------------------------------------------------------------------------------------------------
this.allowAwardEquipment = function (equipment, ship, context) {
	// always return true for scripted install
    if (context === "scripted") return true;
    // only at a certain stage of the mission, and only at avernus orbital
    if (missionVariables.Coyote_status == "STAGE_220" && player.ship.dockedStation.hasRole("avernus_orbital") === true) {
        return true;
    }
    return false;
}